Package: groovy.org.codenarc.rule.formatting

## [Groovy] Class AbstractSingleSpaceAfterKeywordAstVisitor

- groovy.org.codenarc.rule.formatting.AbstractSingleSpaceAfterKeywordAstVisitor

- Abstract superclass for AstVisitor classes that checks that there is exactly one space (blank) after a keyword and before the opening parenthesis.

  Authors:
    Chris Mair

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected void` | `checkForSingleSpaceAndOpeningParenthesis(org.codehaus.groovy.ast.ASTNode node, String keyword)`

- - ### Method Detail

    - #### protected void checkForSingleSpaceAndOpeningParenthesis(org.codehaus.groovy.ast.ASTNode node, String keyword)